﻿using System;
using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;

namespace GroupBar_Demo
{
    public abstract class BasePlugin : UserControl, IPlugin, INotifyPropertyChanged
    {
        public virtual string Title => null;

        public virtual string Description => null;

        public virtual FrameworkElement UI => null;

        public void Initialise()
        {

        }

        #region INotifyPropertyChanged
        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string property)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(property));
        }

        public void Initialize()
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
