﻿using System.ComponentModel;
using System.Windows;

namespace GroupBar_Demo
{
    public class Plugin : INotifyPropertyChanged
    {
        public Plugin(IPlugin plugin)
        {
            AddIn = plugin;
        }

        public IPlugin AddIn { get; private set; }

        public string Title => AddIn.Title;

        private FrameworkElement _ui;
        public FrameworkElement UI
        {
            get
            {
                if (_ui == null)
                {
                    _ui = AddIn.UI;
                }
                return _ui;
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string property)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(property));
        }

        #endregion
    }
}
