﻿using System.Collections.ObjectModel;
using System.ComponentModel;

namespace GroupBar_Demo
{
    public class PluginGroup : INotifyPropertyChanged
    {
        public PluginGroup(string group)
        {
            Group = group;
        }

        private string _group;
        public string Group
        {
            get { return _group; }
            set
            {
                if (_group != value)
                {
                    _group = value;
                    OnPropertyChanged(nameof(Group));
                }
            }
        }

        private bool _isSelected;

        public bool IsSelected
        {
            get { return _isSelected; }
            set
            {
                _isSelected = value;
                OnPropertyChanged(nameof(IsSelected));
            }
        }

        private ObservableCollection<PluginMenuItem> _pluginMenuItems = new ObservableCollection<PluginMenuItem>();
        public ObservableCollection<PluginMenuItem> PluginMenuItems
        {
            get { return _pluginMenuItems; }
            set
            {
                if (_pluginMenuItems != value)
                {
                    _pluginMenuItems = value;
                    OnPropertyChanged(nameof(PluginMenuItems));
                }
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string property)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(property));
        }

        #endregion
    }
}
