﻿using System.ComponentModel;

namespace GroupBar_Demo
{
    public class PluginMenuItem : INotifyPropertyChanged
    {
        public delegate void SelectPluginEventHandler(object sender, SelectPluginEventArgs e);

        private string _title;
        public string Title
        {
            get { return _title; }
            set
            {
                if (_title != value)
                {
                    _title = value;
                    OnPropertyChanged(nameof(Title));
                }
            }
        }

        private IPlugin _pluginValue;

        public IPlugin PluginValue
        {
            get { return _pluginValue; }
            set
            {
                _pluginValue = value;
                OnPropertyChanged(nameof(PluginValue));
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string property)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(property));
        }

        #endregion
    }
}
