﻿using GalaSoft.MvvmLight.Command;
using System.ComponentModel;
using System.Windows;

namespace GroupBar_Demo.Plugins.WpfTestPlugins
{
    class ViewModel1 : INotifyPropertyChanged
    {
        private RelayCommand _helloCommand;

        public RelayCommand HelloCommand
        {
            get { return _helloCommand ?? (_helloCommand = new RelayCommand(RunHello, true)); }
        }

        public ViewModel1()
        {

        }

        private string _freeText = "";
        public string FreeText
        {
            get
            {
                return _freeText;
            }
            set
            {
                _freeText = value;
                OnPropertyChanged(nameof(FreeText));
            }
        }

        private void RunHello()
        {
            //Write Hello to a message box
            MessageBox.Show("Hello");
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string property)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(property));
        }
    }
}
