﻿using Gmp.GmpWpfPluginBase;
using Gmp.ManagementConsole.Common;
using System;
using System.AddIn;
using System.Collections.Generic;
using System.Reflection;
using System.Windows;

namespace Gmp.ManagementConsole.Plugins.WpfTestPlugin2
{
    [AddIn(_title)]
    public partial class PluginUI : GmpWpfPlugin
    {
        const string _title = "WPF Test Plugin 2";

        public PluginUI()
        {
            InitializeComponent();
        }

        public override void Initialize(Dictionary<string, string> globalConfig, Guid connectionId)
        {
            base.Initialize(globalConfig, connectionId);
            CanClose = true;
        }

        public override string Title => _title;

        public override string Description => _title;

        public override FrameworkElement UI => this;

        private void ButtonHello_Click(object sender, RoutedEventArgs e)
        {
            // Make use of the assembly to ensure it isn't unloaded
            var rand = new RandomNumber();
            var percent = rand.GetNumberInRange(1, 100);

            AssemblyName[] assemblies = Assembly.GetExecutingAssembly().GetReferencedAssemblies();
            foreach (var assembly in assemblies)
            {
                if (assembly.Name == "Gmp.Common")
                {
                    string msg = $"{Configuration["Message"]} - referencing Gmp.Common v{assembly.Version}";
                    MessageBox.Show(msg, _title);
                    SendMessageToHost(PluginCommand.ShowMessage, msg);
                }
            }
        }

        private void ButtonChangeDivision_Click(object sender, RoutedEventArgs e)
        {
            SendMessageToHost(PluginCommand.ChangeDivision, "New Division");
        }
    }
}
